#!/bin/bash

while read accnt; do
	ACCNO=`echo $accnt|cut -d ' ' -f 1`
	APIKEY=`echo $accnt|cut -d ' ' -f 2`
	echo "Processing account $ACCNO"
	
	mv $ACCNO.csv $ACCNO.csv.old
	
	# fetch CSV from bank
	for i in `seq 1 3`; do
		wget https://www.fio.cz/ib_api/rest/periods/${APIKEY}/2015-01-01/2025-01-31/transactions.csv -O $ACCNO.csv
		if [ -s $ACCNO.csv ]; then
			echo OK
			break
		else
			echo Failed download, retrying in 5 s
			sleep 5
		fi
	done
done < apikey.ntlm
